## org.codehaus.groovy.ant
Class Groovydoc.LinkArgument

    java.lang.Object
      org.codehaus.groovy.ant.Groovydoc.LinkArgument

Enclosing class:
  Groovydoc

    public static class Groovydoc.LinkArgument

extends Object

Represents a link pair (href, packages).

Constructor Summary
`Groovydoc.LinkArgument()`

Method Summary
`String` `getHref()` Get the href attribute.
`String` `getPackages()` Get the packages attribute.
`void` `setHref(String hr)` Set the href attribute.
`void` `setPackages(String packages)` Set the packages attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Groovydoc.LinkArgument

    public Groovydoc.LinkArgument()

Method Detail

### getPackages

    public String getPackages()

  Get the packages attribute.

  Returns:
    the packages attribute.

### setPackages

    public void setPackages(String packages)

  Set the packages attribute.

  Parameters:
    `packages` - the comma separated package prefixs corresponding to this link

### getHref

    public String getHref()

  Get the href attribute.

  Returns:
    the href attribute.

### setHref

    public void setHref(String hr)

  Set the href attribute.

  Parameters:
    `hr` - a `String` value representing the URL to use for this link

Copyright © 2003-2008 The Codehaus. All rights reserved.